import { createSSRApp } from "vue";
import App from "./App.vue";
import { store, key } from "./store";
import { blockExit } from './utils/android_ios'
export function createApp() {
  const app = createSSRApp(App);
  app.use(store, key)
  app.config.errorHandler = (err, vm, info) => {
    console.log(err, '错误信息')
    console.log(vm, 'vue实例')
    console.log(info, '错误位置')
  }
  return {
    app
  }
}


/*************************************************
 * 双击返回不退出应用
*/
blockExit()